Modify

Opened 10 years ago

Closed 10 years ago

#4521 closed defect (fixed)

org.openstreetmap.josm.data.osm.DataIntegrityProblemException: Nodes in way must be in the same dataset

Reported by: jnerin@… Owned by: team
Priority: major Milestone:
Component: Core Version: latest
Keywords: template_report Cc: chunter952@…

Description

What steps will reproduce the problem?

  1. Create two empty data layers
  2. Draw a way in one layer
  3. Try to Join the selection (don't know if it's written the same way in English Ctrl-Shift-M) to the other layer

What is the expected result?

The way transfers to the second layer.

What happens instead?

OSM throw the exception in the console: "org.openstreetmap.josm.data.osm.DataIntegrityProblemException: Nodes in way must be in the same dataset"

Please provide any additional information below. Attach a screenshot if
possible.

Repository Root: http://josm.openstreetmap.de/svn
Build-Date: 2010-02-13 02:31:39
Last Changed Author: jttt
Revision: 2971
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
URL: http://josm.openstreetmap.de/svn/trunk
Last Changed Date: 2010-02-12 23:23:11 +0100 (Fri, 12 Feb 2010)
Last Changed Rev: 2971

Memory Usage: 151 MB / 828 MB (78 MB allocated, but free)
Java version: 1.6.0_15, Sun Microsystems Inc., Linux

Dataset consistency test:
No problems found


Plugins: editgpx,openvisible,slippymap,validator,wmsplugin
Plugin wmsplugin Version: 18953
Plugin editgpx Version: 19052
Plugin openvisible Version: 17536
Plugin validator Version: 19072
Plugin slippymap Version: 19070

org.openstreetmap.josm.data.osm.DataIntegrityProblemException: Nodes in way must be in the same dataset
	at org.openstreetmap.josm.data.osm.Way.checkNodes(Way.java:371)
	at org.openstreetmap.josm.data.osm.Way.setDataset(Way.java:386)
	at org.openstreetmap.josm.data.osm.DataSet.addPrimitive(DataSet.java:217)
	at org.openstreetmap.josm.data.osm.visitor.MergeSourceBuildingVisitor.buildHull(MergeSourceBuildingVisitor.java:214)
	at org.openstreetmap.josm.data.osm.visitor.MergeSourceBuildingVisitor.build(MergeSourceBuildingVisitor.java:222)
	at org.openstreetmap.josm.actions.MergeSelectionAction.mergeSelected(MergeSelectionAction.java:39)
	at org.openstreetmap.josm.actions.MergeSelectionAction.actionPerformed(MergeSelectionAction.java:45)
	at javax.swing.SwingUtilities.notifyAction(SwingUtilities.java:1636)
	at javax.swing.JComponent.processKeyBinding(JComponent.java:2851)
	at javax.swing.KeyboardManager.fireBinding(KeyboardManager.java:267)
	at javax.swing.KeyboardManager.fireKeyboardAction(KeyboardManager.java:216)
	at javax.swing.JComponent.processKeyBindingsForAllComponents(JComponent.java:2928)
	at javax.swing.JComponent.processKeyBindings(JComponent.java:2920)
	at javax.swing.JComponent.processKeyEvent(JComponent.java:2814)
	at java.awt.Component.processEvent(Component.java:6040)
	at java.awt.Container.processEvent(Container.java:2041)
	at java.awt.Component.dispatchEventImpl(Component.java:4630)
	at java.awt.Container.dispatchEventImpl(Container.java:2099)
	at java.awt.Component.dispatchEvent(Component.java:4460)
	at java.awt.KeyboardFocusManager.redispatchEvent(KeyboardFocusManager.java:1848)
	at java.awt.DefaultKeyboardFocusManager.dispatchKeyEvent(DefaultKeyboardFocusManager.java:704)
	at java.awt.DefaultKeyboardFocusManager.preDispatchKeyEvent(DefaultKeyboardFocusManager.java:969)
	at java.awt.DefaultKeyboardFocusManager.typeAheadAssertions(DefaultKeyboardFocusManager.java:841)
	at java.awt.DefaultKeyboardFocusManager.dispatchEvent(DefaultKeyboardFocusManager.java:668)
	at java.awt.Component.dispatchEventImpl(Component.java:4502)
	at java.awt.Container.dispatchEventImpl(Container.java:2099)
	at java.awt.Window.dispatchEventImpl(Window.java:2475)
	at java.awt.Component.dispatchEvent(Component.java:4460)
	at java.awt.EventQueue.dispatchEvent(EventQueue.java:599)
	at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:269)
	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:184)
	at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:174)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:169)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:161)
	at java.awt.EventDispatchThread.run(EventDispatchThread.java:122)

Attachments (0)

Change History (4)

comment:1 Changed 10 years ago by Ldp

I was about to create a ticket for this as well. See r2963.

comment:2 Changed 10 years ago by DiverCTH <chunter952@…>

Priority: normalmajor

Definitely a problem for those of us working with hand-merging the TIGER '09 addresses data set.

Repository Root: http://josm.openstreetmap.de/svn
Build-Date: 2010-02-13 02:31:39
Last Changed Author: jttt
Revision: 2971
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
URL: http://josm.openstreetmap.de/svn/trunk
Last Changed Date: 2010-02-12 23:23:11 +0100 (Fri, 12 Feb 2010)
Last Changed Rev: 2971

Memory Usage: 306 MB / 508 MB (116 MB allocated, but free)
Java version: 1.6.0_17, Sun Microsystems Inc., Windows XP

Dataset consistency test:
No problems found


Plugins: AddrInterpolation,dataimport,editgpx,lakewalker,measurement,openstreetbugs,openvisible,remotecontrol,routes,routing,tageditor,tagging-preset-tester,waydownloader,wmsplugin
Plugin openstreetbugs Version: 19463
Plugin dataimport Version: 19503
Plugin tageditor Version: 19587
Plugin routing Version: 19475
Plugin tagging-preset-tester Version: 19481
Plugin AddrInterpolation Version: 19422
Plugin measurement Version: 19450
Plugin wmsplugin Version: 19626
Plugin editgpx Version: 19434
Plugin openvisible Version: 19465
Plugin remotecontrol Version: 19471
Plugin routes Version: 19532
Plugin lakewalker Version: 19624
Plugin waydownloader Version: 19489

org.openstreetmap.josm.data.osm.DataIntegrityProblemException: Nodes in way must be in the same dataset
	at org.openstreetmap.josm.data.osm.Way.checkNodes(Way.java:371)
	at org.openstreetmap.josm.data.osm.Way.setDataset(Way.java:386)
	at org.openstreetmap.josm.data.osm.DataSet.addPrimitive(DataSet.java:217)
	at org.openstreetmap.josm.data.osm.visitor.MergeSourceBuildingVisitor.buildHull(MergeSourceBuildingVisitor.java:214)
	at org.openstreetmap.josm.data.osm.visitor.MergeSourceBuildingVisitor.build(MergeSourceBuildingVisitor.java:222)
	at org.openstreetmap.josm.actions.MergeSelectionAction.mergeSelected(MergeSelectionAction.java:39)
	at org.openstreetmap.josm.actions.MergeSelectionAction.actionPerformed(MergeSelectionAction.java:45)
	at javax.swing.SwingUtilities.notifyAction(Unknown Source)
	at javax.swing.JComponent.processKeyBinding(Unknown Source)
	at javax.swing.KeyboardManager.fireBinding(Unknown Source)
	at javax.swing.KeyboardManager.fireKeyboardAction(Unknown Source)
	at javax.swing.JComponent.processKeyBindingsForAllComponents(Unknown Source)
	at javax.swing.JComponent.processKeyBindings(Unknown Source)
	at javax.swing.JComponent.processKeyEvent(Unknown Source)
	at java.awt.Component.processEvent(Unknown Source)
	at java.awt.Container.processEvent(Unknown Source)
	at java.awt.Component.dispatchEventImpl(Unknown Source)
	at java.awt.Container.dispatchEventImpl(Unknown Source)
	at java.awt.Component.dispatchEvent(Unknown Source)
	at java.awt.KeyboardFocusManager.redispatchEvent(Unknown Source)
	at java.awt.DefaultKeyboardFocusManager.dispatchKeyEvent(Unknown Source)
	at java.awt.DefaultKeyboardFocusManager.preDispatchKeyEvent(Unknown Source)
	at java.awt.DefaultKeyboardFocusManager.typeAheadAssertions(Unknown Source)
	at java.awt.DefaultKeyboardFocusManager.dispatchEvent(Unknown Source)
	at java.awt.Component.dispatchEventImpl(Unknown Source)
	at java.awt.Container.dispatchEventImpl(Unknown Source)
	at java.awt.Window.dispatchEventImpl(Unknown Source)
	at java.awt.Component.dispatchEvent(Unknown Source)
	at java.awt.EventQueue.dispatchEvent(Unknown Source)
	at java.awt.EventDispatchThread.pumpOneEventForFilters(Unknown Source)
	at java.awt.EventDispatchThread.pumpEventsForFilter(Unknown Source)
	at java.awt.EventDispatchThread.pumpEventsForHierarchy(Unknown Source)
	at java.awt.EventDispatchThread.pumpEvents(Unknown Source)
	at java.awt.EventDispatchThread.pumpEvents(Unknown Source)
	at java.awt.EventDispatchThread.run(Unknown Source)

comment:3 Changed 10 years ago by DiverCTH <chunter952@…>

Cc: chunter952@… added

comment:4 Changed 10 years ago by jttt

Resolution: fixed
Status: newclosed

(In [2978]) Fix #4521 org.openstreetmap.josm.data.osm.DataIntegrityProblemException: Nodes in way must be in the same dataset

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain team.
as The resolution will be set.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.